
Foreman - Bug #3604

IP missing from Host Output

11/07/2013 05:23 PM - Greg Sutcliffe

Status: Resolved   

Priority: Normal   

Assignee: Ori Rabin   

Category: API   

Target version: 1.7.5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hammer attempts to list the IP in the output of "hammer host list" but because the IP isn't in the RABL, the column is empty:

$ hammer host list

---|----------------------------------|---------------------|---------------|----|----

ID | NAME                             | OPERATING SYSTEM ID | HOST GROUP ID | IP | MAC

---|----------------------------------|---------------------|---------------|----|----

1  | test4.elysium.emeraldreverie.org | 1                   |               |    |    

---|----------------------------------|---------------------|---------------|----|----

 We should either add this to the rabl or remove the column from Hammer.

History

#1 - 11/07/2013 05:24 PM - Greg Sutcliffe

- Description updated

#2 - 11/07/2013 07:11 PM - Ohad Levy

I would like to add at least IP, as its such a common thing, and does not cost anything for fetching it.

we could also consider adding attributes, such as last_compile/last_report and type?

#3 - 11/07/2013 07:14 PM - Dominic Cleal

I'd think it should probably match the web UI columns?

#4 - 07/30/2014 09:15 AM - Ohad Levy

- Target version set to 1.7.5

#5 - 08/04/2014 07:36 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#6 - 08/05/2014 06:16 AM - Ori Rabin

- Status changed from Assigned to Resolved

I can't reproduce this, I assume there is a duplicate bug that has been closed but I haven't found it.
